/* Copyright (c) 2012 Nordic Semiconductor. All Rights Reserved.
 *
 * The information contained herein is property of Nordic Semiconductor ASA.
 * Terms and conditions of usage are described in detail in NORDIC
 * SEMICONDUCTOR STANDARD SOFTWARE LICENSE AGREEMENT.
 *
 * Licensees are granted free, non-transferable use of the information. NO
 * WARRANTY of ANY KIND is provided. This heading must NOT be removed from
 * the file.
 *
 */

/** @file
* @brief ANT HRM TX profile device simulator printf uart retarget.
* @defgroup ant_hrm_tx_main ANT HRM TX example
* @{
* @ingroup nrf_ant_hrm
*
*/
 
#include <stdio.h>
#include <stdint.h>
#include "app_uart.h"
#include "nordic_common.h"

struct __FILE { int handle; /* Add whatever you need here */ };
FILE __stdout;
FILE __stdin;

int fputc(int ch, FILE * p_file) 
{
#ifndef DONT_TRACE_UART
    const uint32_t return_value = app_uart_put((uint8_t)ch);
    UNUSED_VARIABLE(return_value);
#endif // DONT_TRACE_UART
    return 0;
}

/**
 *@}
 **/
